<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
  xmlns:hgis="http://www.h-gis.org/hgis">
  <xsl:output encoding="UTF-8" indent="yes"/>
  <xsl:template match="/hgis:gts">
    <Mapspace>
      <TMSVersion>3.0</TMSVersion>
      <Name><xsl:value-of select="hgis:title/text()"/></Name>
      <Domain>
        <Name>New Domain</Name>
      </Domain>
      <xsl:apply-templates select="hgis:layer"/>
      <xsl:apply-templates select="hgis:project"/>
    </Mapspace>
  </xsl:template>
  <xsl:template match="hgis:layer">
    <Dataset>
      <LocalFilePath>
        <xsl:value-of select="concat(substring-before(hgis:resourceFileName/text(), '.'), '.tmm')"/>
      </LocalFilePath>
      <Layer>
        <Title>New Dataset Title</Title>
        <Symbol/>
        <Renderer/>
      </Layer>
    </Dataset>
  </xsl:template>
  <xsl:template match="hgis:project">
    <MapspaceFile>
      <xsl:value-of select="concat(substring-before(hgis:resourceFileName/text(), '.'), '.tms')"/>
    </MapspaceFile>
  </xsl:template>
</xsl:stylesheet>