/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.data.property;

import java.awt.Color;

public class LineTms implements LineIF
{
    private int thin = 0;

    private Color lineColor = null;

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.LineIF#getThin()
     */
    public int getThin()
    {
        return thin;
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.LineIF#setThin(int)
     */
    public void setThin(int thin)
    {
        this.thin = thin;
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.LineIF#getLineColor()
     */
    public Color getLineColor()
    {
        return lineColor;
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.LineIF#setLineColor(java.awt.Color)
     */
    public void setLineColor(Color lineColor)
    {
        this.lineColor = lineColor;
    }
}
