/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.data.property;

public class SymbolGts extends PolygonGts implements SymbolIF
{
    public static final String CIRCLE_STRING = "circle";

    public static final String TRIANGLE_STRING = "triangle";

    public static final String RECTANGLE_STRING = "rectangle";

    private String symbol = null;

    private int size = 0;

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.SymbolIF#getSymbol()
     */
    public String getSymbol()
    {
        return symbol;
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.SymbolIF#setSymbol(java.lang.String)
     */
    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.SymbolIF#getSize()
     */
    public int getSize()
    {
        return size;
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.nihu.gttime.data.property.SymbolIF#setSize(int)
     */
    public void setSize(int size)
    {
        this.size = size;
    }
}
