/* ===========================================================
 * GT-Time
 * ===========================================================
 *
 * Copyright (C) 2010 National Institutes for the Humanities. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */

package jp.nihu.gttime.data.property;

import java.awt.Color;

public interface SymbolIF
{
    /**
     * @return the thin
     */
    public abstract int getThin();

    /**
     * @param thin the thin to set
     */
    public abstract void setThin(int thin);

    /**
     * @return the lineColor
     */
    public abstract Color getLineColor();

    /**
     * @param lineColor the lineColor to set
     */
    public abstract void setLineColor(Color lineColor);

    /**
     * @return the fillColor
     */
    public abstract Color getFillColor();

    /**
     * @param fillColor the fillColor to set
     */
    public abstract void setFillColor(Color fillColor);

    /**
     * @return the symbol
     */
    public abstract String getSymbol();

    /**
     * @param symbol the symbol to set
     */
    public abstract void setSymbol(String symbol);

    /**
     * @return the size
     */
    public abstract int getSize();

    /**
     * @param size the size to set
     */
    public abstract void setSize(int size);

}